prob {copula} | R Documentation

## Computing Probabilities of Hypercubes

### Description

Compute probabilities of a d-dimensional random vector U distributed according to a given copula `x` to fall in a hypercube (l,u], where l and u denote the lower and upper corners of the hypercube, respectively.

### Usage

    prob(x, l, u)

### Arguments

`x` | copula of dimension d, that is, an object inheriting from `Copula`.
`l, u` | d-dimensional, `numeric`, lower and upper hypercube boundaries, respectively, satisfying 0 <= l_i <= u_i <= 1, for i in {1,...,d}.

### Value

A `numeric` in [0,1] which is the probability P(l[i] < U[i] <= u[i]).

### See Also

`pCopula(.)`.

### Examples

    ## Construct a three-dimensional nested Joe copula with parameters
    ## chosen such that the Kendall's tau of the respective bivariate margins
    ## are 0.2 and 0.5.
    theta0 <- copJoe@iTau(.2)
    theta1 <- copJoe@iTau(.5)
    C3 <- onacopula("J", C(theta0, 1, C(theta1, c(2,3))))

    ## Compute the probability of a random vector distributed according to
    ## this copula to fall inside the cube with lower point l and upper
    ## point u.
    l <- c(.7,.8,.6)
    u <- c(1,1,1)
    prob(C3, l, u)

    ## ditto for a bivariate normal copula with rho = 0.8 :
    prob(normalCopula(0.8), c(.2,.4), c(.3,.6))

[Package copula version 0.999-15 Index]